# Link all files from specified import directories to $MXP_TARGET_DIR.
# Linking preserves directory structure and is performed by "ln" (create hard links)
# if possible, otherwise -- bu "ln -s" (create symlinks).

echo "--  Import files:"

# Vaule of variable IMPORT_DIRS must be a space-separated list of valid paths.
[ -n "$IMPORT_DIRS" ]
exit_if_error "ERROR: variable IMPORT_DIRS is not set."
for import_dir in $IMPORT_DIRS; do
    [ -e $import_dir ]
    exit_if_error "ERROR: does not exist:  $import_dir"
    [ -d $import_dir ]
    exit_if_error "ERROR: is not a directory:  $import_dir"
done

source $(mxp_locate_and_record_script link_functions.sh)

link_files $MXP_TARGET_DIR $IMPORT_DIRS
